<?php
/**
 * The Template for displaying a store header
 *
 * Override this template by copying it to yourtheme/wc-vendors/store
 *
 * @package    WCVendors_Pro
 * @version    1.5.8
 */

$store_icon_src         = wp_get_attachment_image_src( get_user_meta( $vendor_id, '_wcv_store_icon_id', true ), array( 150, 150 ) );
$store_icon             = '';
$store_banner_src       = wp_get_attachment_image_src( get_user_meta( $vendor_id, '_wcv_store_banner_id', true ), 'full' );
$store_banner_image_url = get_option( 'wcvendors_default_store_banner_src' );

// see if the array is valid
if ( is_array( $store_icon_src ) ) {
	$store_icon = '<img src="' . $store_icon_src[0] . '" alt="" class="store-icon" />';
} else {
	$store_icon = '<img src="' . get_avatar_url( $vendor_id, array( 'size' => 150 ) ) . '" alt="" class="store-icon" />';
}

if ( is_array( $store_banner_src ) ) {
	$store_banner_image_url = $store_banner_src[0];
}

// Verified vendor
$verified_vendor       = ( array_key_exists( '_wcv_verified_vendor', $vendor_meta ) ) ? $vendor_meta['_wcv_verified_vendor'] : false;
$verified_vendor_label = get_option( 'wcvendors_verified_vendor_label' );
// $verified_vendor_icon_src 	= get_option( 'wcvendors_verified_vendor_icon_src' );
// Store title
$store_title       = ( is_product() ) ? '<a href="' . WCV_Vendors::get_vendor_shop_page( $post->post_author ) . '">' . $vendor_meta['pv_shop_name'] . '</a>' : $vendor_meta['pv_shop_name'];
$store_description = ( array_key_exists( 'pv_shop_description', $vendor_meta ) ) ? $vendor_meta['pv_shop_description'] : '';

// Get store details including social, adddresses and phone number
$twitter_username   = get_user_meta( $vendor_id, '_wcv_twitter_username', true );
$instagram_username = get_user_meta( $vendor_id, '_wcv_instagram_username', true );
$facebook_url       = get_user_meta( $vendor_id, '_wcv_facebook_url', true );
$linkedin_url       = get_user_meta( $vendor_id, '_wcv_linkedin_url', true );
$youtube_url        = get_user_meta( $vendor_id, '_wcv_youtube_url', true );
$googleplus_url     = get_user_meta( $vendor_id, '_wcv_googleplus_url', true );
$pinterest_url      = get_user_meta( $vendor_id, '_wcv_pinterest_url', true );
$snapchat_username  = get_user_meta( $vendor_id, '_wcv_snapchat_username', true );

// Migrate to store address array
$address1       = ( array_key_exists( '_wcv_store_address1', $vendor_meta ) ) ? $vendor_meta['_wcv_store_address1'] : '';
$address2       = ( array_key_exists( '_wcv_store_address2', $vendor_meta ) ) ? $vendor_meta['_wcv_store_address2'] : '';
$city           = ( array_key_exists( '_wcv_store_city', $vendor_meta ) ) ? $vendor_meta['_wcv_store_city'] : '';
$state          = ( array_key_exists( '_wcv_store_state', $vendor_meta ) ) ? $vendor_meta['_wcv_store_state'] : '';
$phone          = ( array_key_exists( '_wcv_store_phone', $vendor_meta ) ) ? $vendor_meta['_wcv_store_phone'] : '';
$store_postcode = ( array_key_exists( '_wcv_store_postcode', $vendor_meta ) ) ? $vendor_meta['_wcv_store_postcode'] : '';

$address = ( $address1 != '' ) ? $address1 . ', ' . $city . ', ' . $state . ', ' . $store_postcode : '';

$social_icons = empty( $twitter_username ) && empty( $instagram_username ) && empty( $facebook_url ) && empty( $linkedin_url ) && empty( $youtube_url ) && empty( $googleplus_url ) && empty( $pinterst_url ) && empty( $snapchat_username ) ? false : true;
ob_start();
?>
<?php if ( $social_icons ) : ?>
	<ul class="social-icons">
		<?php if ( $facebook_url != '' ) { ?>
			<li>
			<a href="<?php echo $facebook_url; ?>" target="_blank">
				<svg class="wcv-icon wcv-icon-sm">
					<use xlink:href="<?php echo WCV_PRO_PUBLIC_ASSETS_URL; ?>svg/wcv-icons.svg#wcv-icon-facebook-square"></use>
				</svg>
			</a>
			</li><?php } ?>

		<?php if ( $instagram_username != '' ) { ?>
			<li>
			<a href="//instagram.com/<?php echo $instagram_username; ?>" target="_blank">
				<svg class="wcv-icon wcv-icon-sm">
					<use xlink:href="<?php echo WCV_PRO_PUBLIC_ASSETS_URL; ?>svg/wcv-icons.svg#wcv-icon-instagram"></use>
				</svg>
			</a>
			</li><?php } ?>

		<?php if ( $twitter_username != '' ) { ?>
			<li>
			<a href="//twitter.com/<?php echo $twitter_username; ?>" target="_blank">
				<svg class="wcv-icon wcv-icon-sm">
					<use xlink:href="<?php echo WCV_PRO_PUBLIC_ASSETS_URL; ?>svg/wcv-icons.svg#wcv-icon-twitter-square"></use>
				</svg>
			</a>
			</li><?php } ?>

		<?php if ( $googleplus_url != '' ) { ?>
			<li>
			<a href="<?php echo $googleplus_url; ?>" target="_blank">
				<svg class="wcv-icon wcv-icon-sm">
					<use xlink:href="<?php echo WCV_PRO_PUBLIC_ASSETS_URL; ?>svg/wcv-icons.svg#wcv-icon-google-plus"></use>
				</svg>
			</a>
			</li><?php } ?>

		<?php if ( $pinterest_url != '' ) { ?>
			<li>
			<a href="<?php echo $pinterest_url; ?>" target="_blank">
				<svg class="wcv-icon wcv-icon-sm">
					<use xlink:href="<?php echo WCV_PRO_PUBLIC_ASSETS_URL; ?>svg/wcv-icons.svg#wcv-icon-pinterest-square"></use>
				</svg>
			</a>
			</li><?php } ?>

		<?php if ( $youtube_url != '' ) { ?>
			<li>
			<a href="<?php echo $youtube_url; ?>" target="_blank">
				<svg class="wcv-icon wcv-icon-sm">
					<use xlink:href="<?php echo WCV_PRO_PUBLIC_ASSETS_URL; ?>svg/wcv-icons.svg#wcv-icon-youtube-square"></use>
				</svg>
			</a>
			</li><?php } ?>

		<?php if ( $linkedin_url != '' ) { ?>
			<li>
			<a href="<?php echo $linkedin_url; ?>" target="_blank">
				<svg class="wcv-icon wcv-icon-sm">
					<use xlink:href="<?php echo WCV_PRO_PUBLIC_ASSETS_URL; ?>svg/wcv-icons.svg#wcv-icon-linkedin"></use>
				</svg>
			</a>
			</li><?php } ?>

		<?php if ( $snapchat_username != '' ) { ?>
			<li>
			<a href="//www.snapchat.com/add/<?php echo $snapchat_username; ?>" target="_blank">
				<svg class="wcv-icon wcv-icon-sm">
					<use xlink:href="<?php echo WCV_PRO_PUBLIC_ASSETS_URL; ?>svg/wcv-icons.svg#wcv-icon-snapchat"></use>
				</svg>
			</a>
			</li><?php } ?>
	</ul>
<?php endif;
$social_icons_html = ob_get_clean();
// This is where you would load your own custom meta fields if you stored any in the settings page for the dashboard
?>

<?php do_action( 'wcv_before_vendor_store_header' ); ?>

<div class="wcv-store-header header-modern">
	<div class="upper">
		<div class="cover" style="background-image: url(<?php echo $store_banner_image_url; ?>);"> </div>
		<div class="info">
			<div class="avatar">
				<?php echo $store_icon; ?>
			</div>
			<div class="about">
				<div class="name">
					<div class="txt"><?php echo $store_title; ?></div>
					<?php if ( $verified_vendor ) : ?>
						<div class="wcv-verified-vendor">
							<svg class="wcv-icon wcv-icon-sm">
								<use xlink:href="<?php echo WCV_PRO_PUBLIC_ASSETS_URL; ?>svg/wcv-icons.svg#wcv-icon-check-circle"></use>
							</svg>
							<span><?php echo $verified_vendor_label; ?></span>
						</div>
					<?php endif; ?>
				</div>
				<p class="desc"><?php echo $store_description; ?></p>
			</div>
		</div>
	</div>
	<div class="meta">
		<?php if ( ! wc_string_to_bool( get_option( 'wcvendors_ratings_management_cap', 'no' ) ) ) : ?>
			<div class="rating block">
				<div class="label">
					<?php echo __( 'Rating', 'wcvendors-pro' ); ?>
				</div>
				<div class="stars">
					<?php echo WCVendors_Pro_Ratings_Controller::ratings_link( $vendor_id, true ); ?>
				</div>
			</div>
		<?php endif; ?>
		<?php if ( $phone ) : ?>
			<div class="phone block">
				<div class="label">
					<?php echo __( 'Phone', 'wcvendors-pro' ); ?>
				</div>
				<a href="tel:<?php echo $phone; ?>">
					<svg class="wcv-icon wcv-icon-sm">
						<use xlink:href="<?php echo WCV_PRO_PUBLIC_ASSETS_URL; ?>svg/wcv-icons.svg#wcv-icon-phone"></use>
					</svg>
					<?php echo $phone; ?>
				</a>
			</div>
		<?php endif; ?>
		<?php if ( $address ) : ?>
			<div class="address block">
				<div class="label">
					<?php echo __( 'Address', 'wcvendors-pro' ); ?>
				</div>
				<a href="http://maps.google.com/maps?&q=<?php echo $address; ?>">
					<address>
						<svg class="wcv-icon wcv-icon-sm">
							<use xlink:href="<?php echo WCV_PRO_PUBLIC_ASSETS_URL; ?>svg/wcv-icons.svg#wcv-icon-home"></use>
						</svg>
						<?php echo $address; ?>
					</address>
				</a>
			</div>
		<?php endif; ?>
		<?php if ( $social_icons ) : ?>
			<div class="social block">
				<div class="label">
					<?php echo __( 'Social', 'wcvendors-pro' ); ?>
				</div>
				<?php echo $social_icons_html; ?>
			</div>
		<?php endif; ?>
		<?php if ( wc_string_to_bool( get_option( 'wcvendors_show_store_total_sales' ) ) ) : ?>
			<div class="sales block">
				<div class="label">
					<?php echo __( 'Total Sales', 'wcvendors-pro' ); ?>
				</div>
				<div class="value">
					<svg class="wcv-icon wcv-icon-sm">
						<use xlink:href="<?php echo WCV_PRO_PUBLIC_ASSETS_URL; ?>svg/wcv-icons.svg#wcv-icon-info-circle"></use>
					</svg>
					<?php
					$label = WCVendors_Pro_Vendor_Controller::get_total_sales_label( $vendor_id, 'store' );
					echo do_shortcode( '[wcv_pro_vendor_totalsales vendor_id="' . $vendor_id . '" position="none"]' );
					?>
				</div>
			</div>
		<?php endif; ?>
	</div>
</div>

<?php do_action( 'wcv_after_vendor_store_header' ); ?>
